Date: Tue, 3 Jun 1997 10:01:30 +0200 (MET DST)
From: Geert Uytterhoeven <Geert.Uytterhoeven@cs.kuleuven.ac.be>
To: Jes Sorensen <Jes.Sorensen@cern.ch>,
        Linux/m68k <linux-m68k@phil.uni-sb.de>
Subject: L68K: Fix for 2.1.42 and X
Sender: owner-linux-m68k@phil.uni-sb.de
Reply-To: linux-m68k@phil.uni-sb.de


This one is missing in 2.1.42 too.

--- linux-2.1.39/arch/m68k/kernel/console.c.orig	Sun May 18 23:05:15 1997
+++ linux-2.1.39/arch/m68k/kernel/console.c	Thu May 22 20:43:54 1997
@@ -413,7 +413,10 @@
 	set_scrmem(fg_console, 0);
 	set_origin(fg_console);
 #endif /* XXX */
-	update_screen(fg_console);
+	/* don't update in graphics mode */
+	if (currcons == fg_console && vt_cons[fg_console]->vc_mode == KD_TEXT)
+	    update_screen(fg_console);
+
 	set_cursor(fg_console);
 
 	return 0;
@@ -505,8 +508,9 @@
 	    console_table[currcons]->winsize = ws;
 	}
 
-   if (currcons == fg_console)
-      update_screen(fg_console);
+	/* don't update in graphics mode */
+	if (currcons == fg_console && vt_cons[fg_console]->vc_mode == KD_TEXT)
+	    update_screen(fg_console);
 }
 
 void vc_disallocate(unsigned int currcons)

Greetings,

						Geert

--
Geert Uytterhoeven                     Geert.Uytterhoeven@cs.kuleuven.ac.be
Wavelets, Linux/m68k on Amiga          http://www.cs.kuleuven.ac.be/~geert/
Department of Computer Science -- Katholieke Universiteit Leuven -- Belgium

